php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #34488 configure --with-mysql fails to find mysql librariies in /usr/lib64
Submitted: 2005-09-13 06:46 UTC Modified: 2005-09-13 09:47 UTC
From: yusufg at outblaze dot com Assigned:
Status: Not a bug Package: *Configuration Issues
PHP Version: 5CVS-2005-09-13 (snap) OS: CentOS 4.1/x86-64
Private report: No CVE-ID: None
View Add Comment Developer Edit
Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know!
Just going to say 'Me too!'? Don't clutter the database with that please !
Your email address:
MUST BE VALID
Solve the problem:
33 + 38 = ?
Subscribe to this entry?

 
 [2005-09-13 06:46 UTC] yusufg at outblaze dot com
Description:
------------
On my CentOS 4.1 box running on an Opteron (AMD64) I installed mysql and mysql-devel from the CentOS repos
The libraries are installed in /usr/lib64

I have the following configure command for php 5.0.5


./configure --prefix=/usr/local/site/php50 \
            --with-apxs2=/usr/local/site/ap20/bin/apxs \
            --disable-ipv6 \
            --with-mysql \
            --enable-dba \
            --with-zlib \
            --with-curl \
            --with-openssl \
            --enable-sqlite-utf8

The output just before configure fails is

checking for specified location of the MySQL UNIX socket... no
checking for MySQL UNIX socket location... no
checking for mysql_close in -lmysqlclient... no
checking for mysql_error in -lmysqlclient... no
configure: error: mysql configure failed. Please check config.log for more information.



Reproduce code:
---------------
Run the configure command on a CentOS 4.x distro on an AMD64 box

Expected result:
----------------
mysql should be configured correctly
--with-mysqli takes an argument which is the location of mysql_config. On CentOS 4.1/x86-64, php-5.0.5 configures/compiles correctly if --with-mysqli is used but fails if --with-mysql is used




Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2005-09-13 06:48 UTC] yusufg at outblaze dot com
I originally saw the error with 5.0.5, I also was able to reproduce with 5.1.0-rc1 and snapshot obtained here
http://snaps.php.net/php5-200509130230.tar.bz2
 [2005-09-13 09:47 UTC] sniper@php.net
Use the --with-libdir=lib64 configure option.
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Fri Sep 30 23:05:52 2022 UTC